EDIT - bug #6430

proxy_content not returning data
02/22/2017 03:55 PM - Saskia Gennrich

Status: Closed Start date:

Priority: New Due date:

Assignee: Saskia Gennrich % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

History

#1 - 02/22/2017 04:02 PM - Saskia Gennrich
- Subject changed from proxy_content not returning dataa88 to proxy_content not returning data

- Assignee deleted (Andreas Kohlbecker)

Nach einem Update auf die aktuelle Version des Dataportals funktionieren die AJAX Anfragen in den Taxontree-Breadcrumbs nicht mehr.
jquery.cdm.taxonomic_children.js erzeugt die korrekten URLs: contentRequest und finalRequest.

Allerdings kommen die in der funktion proxy_content (cdm_api.module) gar nicht als url encoded an sonder als array von strings die am /' geteilt
werden.

PHP: 5.6
Drupal: 7.53
dataportal: 4.5

#2 - 02/22/2017 04:16 PM - Andreas Kohlbecker
- Tags set to faunaEuropaea

- Status changed from New to Feedback

- Assignee set to Saskia Gennrich

- Target version changed from Unassigned CDM tickets to Release 4.5

Auf dem test-portal verhalten sich die Breadcrumbs normal:

http://test.e-taxonomy.eu/dataportal/preview/fauna-europaea/cdm_dataportal/taxon/e5b22697-cf8f-49e8-aa90-82db69f4769d
(Es gibt hier lediglich einige Warnungen die vermutlich unkritisch sind, dennoch werde ich dazu ein Ticket er6ffnen ...)

Das Problem, das du mit den classification breadcrumbs hast, kénnte durch das Setup deiner Testumgebung kommen. Lauft das auf einem 6ffentlich
zuganglichen Server? Kannst du mir einen URL schicken?

#3 - 02/22/2017 04:45 PM - Saskia Gennrich

Nein, leider gibt es dazu noch keinen &ffentlichen Server. Ich hab das sowohl auf meinem lokalen Rechner als auch auf dem Test-Server. Auf allen
offentlichen Servern laufen noch alte CDM Versionen.

Auf der Clientseite ist allerdings auch nichts zu sehen. URLs sind korrekt, aber es werden keine Daten geliefert.
Ich dachte erst es liegt daran, dass der cdm-server vom nginx aus unter einer anderen url erreichbar ist als von au3en, aber genau dafir ist ja
proxy_content da.

Kénnte es mit den Drupal-Versionen was zu tun haben? Auf eurer Test-Seite I&auft noch 7.34, wenn der Pfad in der Fehlermeldung korrekt ist. Ware
allerdings merkw(rdig, wenn sie in einer minor version breaking changes in den menus eingefiigt hatten.

#4 - 02/22/2017 05:51 PM - Saskia Gennrich

- Status changed from Feedback to Resolved

Es ist ein nginx Problem, weil der die url schon decoded bevor er sie an drupal weiter gibt.

#5 - 02/24/2017 03:22 PM - Saskia Gennrich

- Status changed from Resolved to Closed
http://test.e-taxonomy.eu/dataportal/preview/fauna-europaea/cdm_dataportal/taxon/e5b22697-cf8f-49e8-aa90-82db69f4769d

Far nginx muss fastcgi_pass oder proxy_pass korrekt eingestellt werden, damit URLs direkt an php-fpm weitergeleitet werden.
